import { IAuthData, IAuthDataProvider, IEditableUserData, IRefreshTokenStorageHandler, ModuleConfig } from './orderTypes';
import { IUserData } from '@orderingstack/ordering-types';
export declare function purgeTokenCache(): void;
export declare function authorizeWithUserPass(baseUrl: string, tenant: string, basicAuthPass: string, username: string, password: string): Promise<boolean>;
export interface IAccessTokenData {
    MODULE?: string;
    iss: string;
    exp: number;
    UUID: string;
    TENANT: string;
    jti: string;
    authorities: string[];
    scope?: string[];
}
/**
 * Gets module config only if given accessToken is for a module, otherwise returns undefined
 * @param baseUrl
 * @param accessToken
 */
export declare function getModuleConfig(baseUrl: string, accessToken: string): Promise<ModuleConfig | undefined>;
export declare function authorizeWithRefreshToken(baseUrl: string, tenant: string, basicAuthPass: string, refreshToken: string, moduleConfigCallback?: (moduleConfig: ModuleConfig) => void, fingerprint?: string | null): Promise<{
    success: true;
    removeToken?: undefined;
} | {
    success: false;
    removeToken: boolean;
}>;
export declare function isTokenExpired(token?: string): boolean;
export declare const authDataProvider: IAuthDataProvider;
export declare function createAuthDataProvider(ctx: any, refreshTokenProvider: IRefreshTokenStorageHandler, forceRefresh?: boolean, refreshTokenErrorCallback?: (error: any) => void, moduleConfigCallback?: (moduleConfig: ModuleConfig) => void, fingerprint?: string): () => Promise<{
    token: string;
    UUID: string;
}>;
export declare function setAuthData(tenant: string, newAuthData: IAuthData, refreshTokenStorageHandler: IRefreshTokenStorageHandler): void;
export declare function clearAuthData(tenant: string, refreshTokenStorageHandler: IRefreshTokenStorageHandler): void;
export declare function getLoggedUserData(baseURL: string, token: string): Promise<IUserData | null>;
export declare function updateUserData(baseURL: string, token: string, userData: IEditableUserData): Promise<boolean>;
export declare function deleteUser(baseURL: string, token: string): Promise<boolean>;
